org.jboss.jca.embedded.dsl.ironjacamar10.api

## Interface SecurityType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface SecurityType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `securityType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityType<T>` | `application()` Sets the `application` element
    `java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
    `java.lang.String` | `getSecurityDomainAndApplication()` Returns the `security-domain-and-application` element
    `java.lang.Boolean` | `isApplication()` Removes the `application` element
    `SecurityType<T>` | `removeApplication()` Removes the `application` element
    `SecurityType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
    `SecurityType<T>` | `removeSecurityDomainAndApplication()` Removes the `security-domain-and-application` element
    `SecurityType<T>` | `securityDomain(java.lang.String securityDomain)` Sets the `security-domain` element
    `SecurityType<T>` | `securityDomainAndApplication(java.lang.String securityDomainAndApplication)` Sets the `security-domain-and-application` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### application

          SecurityType<T> application()

      Sets the `application` element
      Returns:
        the current instance of `SecurityType`

    - #### isApplication

          java.lang.Boolean isApplication()

      Removes the `application` element
      Returns:
        the current instance of `SecurityType`

    - #### removeApplication

          SecurityType<T> removeApplication()

      Removes the `application` element
      Returns:
        the current instance of `SecurityType`

    - #### securityDomain

          SecurityType<T> securityDomain(java.lang.String securityDomain)

      Sets the `security-domain` element
      Parameters:
        `securityDomain` - the value for the element `security-domain`
      Returns:
        the current instance of `SecurityType`

    - #### getSecurityDomain

          java.lang.String getSecurityDomain()

      Returns the `security-domain` element
      Returns:
        the node defined for the element `security-domain`

    - #### removeSecurityDomain

          SecurityType<T> removeSecurityDomain()

      Removes the `security-domain` element
      Returns:
        the current instance of `SecurityType`

    - #### securityDomainAndApplication

          SecurityType<T> securityDomainAndApplication(java.lang.String securityDomainAndApplication)

      Sets the `security-domain-and-application` element
      Parameters:
        `securityDomainAndApplication` - the value for the element `security-domain-and-application`
      Returns:
        the current instance of `SecurityType`

    - #### getSecurityDomainAndApplication

          java.lang.String getSecurityDomainAndApplication()

      Returns the `security-domain-and-application` element
      Returns:
        the node defined for the element `security-domain-and-application`

    - #### removeSecurityDomainAndApplication

          SecurityType<T> removeSecurityDomainAndApplication()

      Removes the `security-domain-and-application` element
      Returns:
        the current instance of `SecurityType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)